********************************************************************************
*** Analysen zu Buchbeitrag "Was macht den Unterschied? Ein Vergleich von    *** 
*** von Bildungsaufsteigern und Nichtaufsteigern"                            ***
***                                                                          ***
*** UNABHÄNGIGE VARIABLEN (Merkmale der Schulklasse)                         ***
*** Steffen Schindler, 01.03.2019                                            *** 
********************************************************************************


********************************************************************************
*** Kompetenzniveau der Schulklasse ********************************************
********************************************************************************

*** Anteil SchülerInnen mit Förderbedarf ***************************************
* Durchschnitt Wellen 3 (2013)
replace e19001c_D=. if e19001c_D<0 | wave!=3
bys ID_cc: egen foerder=mean(e19001c_D)
lab var foerder "Anteil SchülerInnen mit Förderbedarf (W3)"
recode foerder (0=1 "keine") (1/10=2 "fast keine") (11/40=3 "weniger als die Hälfte") ///
       (41/60=4 "ungefähr die Hälfte") (61/90=5 "mehr als die Hälfte") ///
	   (91/99=6 "fast alle") (100=7 "alle") (else=.), into(foerder_k)
replace foerder_k=6 if foerder_k==7 // Korrektur wegen zu geringer Zellbesetzung (7)
lab var foerder_k "Anteil SchülerInnen mit Förderbedarf Kat. (W3+4)" 

*** Leistungshomogenität *******************************************************
* Welle 3
replace e22740c=. if e22740c<1 | wave!=3
ren e22740c leisthomo
bys ID_cc: egen temp=max(leisthomo)
replace leisthomo=temp
drop temp	   


*** Leistungsorientierung *******************************************************
* Welle 3
replace e22740f=. if e22740f<1 | wave!=3
ren e22740f leistorie
bys ID_cc: egen temp=max(leistorie)
replace leistorie=temp
drop temp

*** Leistungsstand *************************************************************

*** Sprache ***
replace ec0401d=. if ec0401d<1 | wave!=3
ren ec0401d klsprache
bys ID_cc: egen temp=max(klsprache)
replace klsprache=temp
drop temp

*** Naturwissenschften ***
replace ec0401e=. if ec0401e<1 | wave!=3
ren ec0401e klnatur
bys ID_cc: egen temp=max(klnatur)
replace klnatur=temp
drop temp

*** Mathematik ***
replace ec0401f=. if ec0401f<1 | wave!=3
ren ec0401f klmathe
bys ID_cc: egen temp=max(klmathe)
replace klmathe=temp
drop temp 

*** Score Leistungsstand
egen klscore=rowmean(klsprache klnatur klmathe)
lab var klscore "Durchschnittsscore Leistungsstand Klasse"


********************************************************************************
*** Soziale Zusammensetzung der Schulklasse ************************************
********************************************************************************

*** Anteil SchülerInnen mit Migrationshintergrund ******************************
* Welle 3 (2013)
replace e451010=. if e451010<1 | wave!=3
ren e451010 migant
replace migant=1 if e451000_D==0 & wave==3
replace migant=2 if inrange(e451000_D,1,10) & wave==3
replace migant=3 if inrange(e451000_D,11,40) & wave==3
replace migant=4 if inrange(e451000_D,41,60) & wave==3
replace migant=5 if inrange(e451000_D,61,90) & wave==3
replace migant=6 if inrange(e451000_D,91,99) & wave==3
replace migant=7 if e451000_D==100 & wave==3
replace migant=6 if migant==7 & wave==3 // Korrektur wegen zu geringer Zellbesetzung (7)
bys ID_cc: egen temp=max(migant)
replace migant=temp
drop temp

*** Anteil SchülerInnen mit hoher sozialer Schicht *****************************
* Welle 3 (2013)
recode e79201c_D (0=1 "keine") (1/10=2 "fast keine") (11/40=3 "weniger als die Hälfte") ///
       (41/60=4 "ungefähr die Hälfte") (61/90=5 "mehr als die Hälfte") ///
	   (91/99=6 "fast alle") (100=7 "alle") (else=.) if wave==3, into(hoschi)
replace hoschi=6 if hoschi==7 & wave==3 // Korrektur wegen zu geringer Zellbesetzung (7)	   
lab var hoschi "Anteil SchülerInnen mit hoher Schicht (W3)"
bys ID_cc: egen temp=max(hoschi)
replace hoschi=temp
drop temp
	   
*** Anteil SchülerInnen mit mittlerer sozialer Schicht *************************
* Welle 3 (2013)
recode e79201b_D (0=1 "keine") (1/10=2 "fast keine") (11/40=3 "weniger als die Hälfte") ///
       (41/60=4 "ungefähr die Hälfte") (61/90=5 "mehr als die Hälfte") ///
	   (91/99=6 "fast alle") (100=7 "alle") (else=.) if wave==3, into(mischi)
replace mischi=6 if mischi==7 & wave==3 // Korrektur wegen zu geringer Zellbesetzung (7)	   
lab var mischi "Anteil SchülerInnen mit mittlerer Schicht (W3)"	   
bys ID_cc: egen temp=max(mischi)
replace mischi=temp
drop temp
	   
*** Anteil SchülerInnen mit niedriger sozialer Schicht *************************
* Welle 3 (2013)
recode e79201a_D (0=1 "keine") (1/10=2 "fast keine") (11/40=3 "weniger als die Hälfte") ///
       (41/60=4 "ungefähr die Hälfte") (61/90=5 "mehr als die Hälfte") ///
	   (91/99=6 "fast alle") (100=7 "alle") (else=.) if wave==3, into(nischi)
replace nischi=6 if nischi==7 & wave==3 // Korrektur wegen zu geringer Zellbesetzung (7)	   
lab var nischi "Anteil SchülerInnen mit niedriger Schicht (W3)"	   
bys ID_cc: egen temp=max(nischi)
replace nischi=temp
drop temp	 
  
*** Anteil SchülerInnen mit Eltern mit Hochschulabschluss **********************
* Welle 3 (2013)
recode e79202a_D (0=1 "keine") (1/10=2 "fast keine") (11/40=3 "weniger als die Hälfte") ///
       (41/60=4 "ungefähr die Hälfte") (61/90=5 "mehr als die Hälfte") ///
	   (91/99=6 "fast alle") (100=7 "alle") (else=.) if wave==3, into(elthoschu)
replace elthoschu=6 if elthoschu==7 & wave==3 // Korrektur wegen zu geringer Zellbesetzung (7)	   
lab var elthoschu "Anteil Eltern mit Hochschulabschluss (W3)"	   
bys ID_cc: egen temp=max(elthoschu)
replace elthoschu=temp
drop temp	


********************************************************************************
*** Schülerzahl ****************************************************************
********************************************************************************
* Welle 3 (2013)
replace e227400_g1D=. if e227400_g1D<1 | wave!=3
ren e227400_g1D schuelerzahl
bys ID_cc: egen temp=max(schuelerzahl)
replace schuelerzahl=temp
drop temp


exit

