********************************************************************************
*** Analysen zu Buchbeitrag "Was macht den Unterschied? Ein Vergleich von    *** 
*** von Bildungsaufsteigern und Nichtaufsteigern"                            ***
***                                                                          ***
*** UNABHÄNGIGE VARIABLEN (Kompetenzen)                                      ***
*** Steffen Schindler, 01.03.2019                                            *** 
********************************************************************************


********************************************************************************
*** Sprachkompetenz ************************************************************
********************************************************************************

*** Summenscore Wortschatz Klassenstufe 1 **************************************
* Welle 3
replace vog1_sc3=. if vog1_sc3<0 | wave_w3!=1
ren vog1_sc3 wortschatz


********************************************************************************
*** Mathematische Kompetenz ****************************************************
********************************************************************************

*** WLE-Schätzer mathematische Kompetenz ***************************************
* Welle 3
replace mag1_sc1=. if mag1_sc1<-50 | wave_w3!=1
ren mag1_sc1 mathe


********************************************************************************
*** Naturwissenschaftliche Kompetenz *******************************************
********************************************************************************

*** WLE-Schätzer naturwissenschaftliche Kompetenz ******************************
* Welle 3
replace scg1_sc1=. if scg1_sc1<-50 | wave_w3!=1
ren scg1_sc1 natur


********************************************************************************
*** Grammatik-Kompetenz ********************************************************
********************************************************************************

*** WLE-Schätzer Grammatik *****************************************************
* Welle 3
replace grg1_sc1=. if grg1_sc1<0 | wave_w3!=1
ren grg1_sc1 grammatik


********************************************************************************
*** Score kumulative Kompetenzen ***********************************************
********************************************************************************
* Dimensionen: Mathematik, Naturwissenschaften, Wortschatz, Grammatik
* Erstellung Score: Aufaddieren der kumulativen Häufigkeiten der jeweils individuell vorliegenden Kategorien
* Score aus obigen vier Variablen
* Welle 3 (2013)
foreach var of varlist wortschatz mathe natur grammatik{
   replace `var'=. if `var'<0 | wave_w3!=1
    levelsof `var', local(lev)
    gen `var'_cum=.
    foreach num of local lev{
       tab `var' if wave_w3==1
 	   local n=r(N)
	   tab `var' if wave_w3==1 & `var'<=`num'
	   local m=r(N)
	   replace `var'_cum=`m'/`n' if `var'==`num'
	   }
    }
egen kompscore=rowmean(wortschatz_cum mathe_cum natur_cum grammatik_cum)
lab var kompscore "Score kumulative Kompetenzen (W3)"


********************************************************************************
*** Prozedurale Metakognition **************************************************
********************************************************************************
* Dimensionen: Mathematik, Naturwissenschaften, Wortschatz, Grammatik
* Erstellung Score: Aufaddieren der kumulativen Häufigkeiten der jeweils individuell vorliegenden Kategorien
* Welle 3 (2013)
foreach var of varlist mpg1ma_sc6 mpg1sc_sc6 mpg1vo_sc6 mpg1gr_sc6{
   replace `var'=. if `var'<0 | wave_w3!=1
    levelsof `var', local(lev)
    gen `var'_cum=.
    foreach num of local lev{
       tab `var' if wave_w3==1
 	   local n=r(N)
	   tab `var' if wave_w3==1 & `var'<=`num'
	   local m=r(N)
	   replace `var'_cum=`m'/`n' if `var'==`num'
	   }
    }  
egen prozmeta=rowmean(mpg1ma_sc6_cum mpg1sc_sc6_cum mpg1vo_sc6_cum mpg1gr_sc6_cum)
lab var prozmeta "Score Prozedurale Metakognition (W3)"


exit
